-- Coroutine that does all the cutscene magic.
-- This invloves stuff like walking, jumping, displaying text boxes, etc.
local function onBegin()
    walkTo(155)
    wait(0.5)
    enableMovement()
    wait(36)
end

-- Function, no yielding actions allowed.
-- That means no walking, waiting etc.
-- Only "clean up" actions.
local function onEnd(level, wasSkipped)
    if wasSkipped then
        teleportTo(151, 289)
		enableMovement()
		playMusic("event:/collab2020/lobbytest")
		getRoom().Lighting.Alpha = getRoom().BaseLightingAlpha + 0.035
		getRoom().CameraOffset = vector2(76.8, 0)
		getRoom().Camera.Position = player.CameraTarget
		getFirstEntity("MoveBlock"):RemoveSelf()
    end
end

return onBegin, onEnd